Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Classes | Public Member Functions | Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
faiss::OnDiskInvertedLists::OngoingPrefetch Struct Reference

## Classes
struct | Thread

## Public Member Functions
| OngoingPrefetch (const OnDiskInvertedLists *od)
idx_t | get_next_list ()
void | prefetch_lists (const idx_t *list_nos, int n)

## Static Public Member Functions
static void * | prefetch_list (void *arg)

## Public Attributes
std::vector< Thread > | threads
pthread_mutex_t | list_ids_mutex
std::vector< idx_t > | list_ids
int | cur_list
pthread_mutex_t | mutex
const OnDiskInvertedLists * | od

## Static Public Attributes
static int | global_cs = 0

## Detailed Description

Definition at line 143 of file OnDiskInvertedLists.cpp.

The documentation for this struct was generated from the following file:

- /data/users/hoss/faiss/OnDiskInvertedLists.cpp